import { DEFAULT_DOMAIN, DEFAULT_ICON_PATH } from "@/config/constants";
import type { Service } from "@/config/services";

export function getServiceUrl(service: Service): string {
	return (
		service.serviceUrl ||
		`https://${formatServiceName(service.serviceName)}.${DEFAULT_DOMAIN}`
	);
}

export function getServiceIconPath(service: Service): string {
	return `${DEFAULT_ICON_PATH}/${formatServiceName(service.serviceName)}.svg`;
}

export function formatServiceName(name: string): string {
	return name.toLowerCase().replace(/\s+/g, "-");
}

export function getServiceAriaLabel(service: Service): string {
	return `Open ${service.serviceName} service`;
}

export function searchServices(services: Service[], query: string): Service[] {
	const searchTerm = query.toLowerCase().trim();
	return services.filter((service) =>
		service.serviceName.toLowerCase().includes(searchTerm),
	);
}
